import { Component, Input, OnInit } from "@angular/core";
import { History } from "../../../../models/data/data.model";

@Component({
  selector: "app-history-btn",
  templateUrl: "./history-btn.component.html",
  styleUrls: ["./history-btn.component.scss"]
})
export class HistoryBtnComponent implements OnInit {

  @Input() history: History[] = [];
  @Input() translationKey: string = "";

  showSidebar = false;

  constructor() {
  }

  ngOnInit(): void {
  }

  openHistory(): void {
    console.log("history", this.history);
    this.showSidebar = true;
  }

  getAttributeTranslationKey(key: string) {
    return `common.history.${key}`;
  }

}
